version: '3'
services:
  # TODO: Move to the regular docker-compose.yaml once deployed
  langchain-hub:
    image: langchain/${_LANGSMITH_IMAGE_PREFIX-}langchainhub-backend:latest
    environment:
      - PORT=1985
      - LANGCHAIN_ENV=local_docker
      - LOG_LEVEL=warning
      - LANGSMITH_LICENSE_KEY=${LANGSMITH_LICENSE_KEY}
    ports:
      - 1985:1985
    depends_on:
      - langchain-db
  langchain-db:
    volumes:
        - rc-langchain-db-data:/var/lib/postgresql/data
volumes:
    rc-langchain-db-data:
